### Name: variogram
### Title: Calculate Sample or Residual Variogram or Variogram Cloud
### Aliases: variogram variogram.gstat variogram.formula variogram.default
###   print.gstatVariogram print.variogramCloud
### Keywords: models

### ** Examples

data(meuse)
# no trend:
variogram(log(zinc)~1, loc=~x+y, meuse)
# residual variogram w.r.t. a linear trend:
variogram(log(zinc)~x+y, loc=~x+y, meuse)
# directional variogram:
variogram(log(zinc)~x+y, loc=~x+y, meuse, alpha=c(0,45,90,135))

# GLS residual variogram:
v = variogram(log(zinc)~x+y,~x+y,meuse)
v.fit = fit.variogram(v, vgm(1, "Sph", 700, 1))
v.fit
set = list(gls=1)
v
g = gstat(NULL, "log-zinc", log(zinc)~x+y,~x+y, meuse, model=v.fit, set = set)
variogram(g)



